メインコンテンツへスキップ
GET
/
v1
/
crawls
/
{crawl_id}
クロール情報を取得
curl --request GET \
  --url https://api.olostep.com/v1/crawls/{crawl_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "<string>",
  "status": "<string>",
  "created": 123,
  "start_date": "<string>",
  "start_url": "<string>",
  "max_pages": 123,
  "max_depth": 123,
  "exclude_urls": [
    "<string>"
  ],
  "include_urls": [
    "<string>"
  ],
  "include_external": true,
  "search_query": "<string>",
  "top_n": 123,
  "current_depth": 123,
  "pages_count": 123,
  "webhook": "<string>",
  "follow_robots_txt": true
}

承認

Authorization
string
header
必須

Bearer認証ヘッダーの形式はBearer で、はあなたの認証トークンです。

パスパラメータ

crawl_id
string
必須

情報を取得するためのクロールのID。

レスポンス

クロール情報を含む成功したレスポンス。

id
string

クロールID

object
string

オブジェクトの種類。このエンドポイントでは "crawl"。

status
string

in_progress または completed

created
number

エポックでの作成時間

start_date
string

日付での作成時間

start_url
string
max_pages
number
max_depth
number
exclude_urls
string[]
include_urls
string[]
include_external
boolean
search_query
string
top_n
number
current_depth
number

クロールプロセスの現在の深さ。

pages_count
number

クロールされたページの数

webhook
string
follow_robots_txt
boolean